package ui;

import common.Job;
import common.JobListenerI;
import common.StatusI;

public class CliJobListener implements JobListenerI {
	private static final int MAX_BARS=80;
	private int count;
	
	public int jobStatus(Job job) {
		int delta=job.getSize()/MAX_BARS;
		int pos=job.getPosition()/delta;
		//System.out.println(count + ":" + pos + ":"+delta);
		for (;count<pos;count++) {
			System.out.print('-');
		}
		return StatusI.CONTINUE;
	}
	public void reset() {
		count=0;
	}
}
